VMware Fusion < 11.5.0 Vulnerability (VMSA-2019-0019)

Low Nessus Plugin ID 130454

Synopsis

A virtualization application installed on the remote macOS or Mac OS X host is affected by denial of service

Description

VMware ESXi (6.7 before ESXi670-201908101-SG and 6.5 before ESXi650-201910401-SG), Workstation (15.x before 15.5.0) and Fusion (11.x before 11.5.0) contain a denial-of-service vulnerability in the shader functionality. Successful exploitation of this issue may allow attackers with normal user privileges to create a denial-of-service condition on their own VM. Exploitation of this issue require an attacker to have access to a virtual machine with 3D graphics enabled. It is not enabled by default on ESXi and is enabled by default on Workstation and Fusion.

Solution

Update to VMware Fusion version 11.5.0, or later.

See Also

https://www.vmware.com/security/advisories/VMSA-2019-0019.html

Plugin Details

Severity: Low

ID: 130454

File Name: macosx_fusion_vmsa_2019_0019.nasl

Version: 1.3

Type: local

Agent: macosx

Published: 2019/11/01

Updated: 2019/11/08

Dependencies: 50828

Risk Information

Risk Factor: Low

CVSS Score Source: CVE-2019-5536

CVSS v2.0

Base Score: 3.5

Temporal Score: 2.6

Vector: CVSS2#AV:N/AC:M/Au:S/C:N/I:N/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 6.5

Temporal Score: 5.7

Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:vmware:fusion

Required KB Items: Host/local_checks_enabled, installed_sw/VMware Fusion

Exploit Ease: No known exploits are available

Patch Publication Date: 2019/10/24

Vulnerability Publication Date: 2019/10/24

Reference Information

CVE: CVE-2019-5536

VMSA: 2019-0019

IAVA: 2019-A-0403